Summary:        Linux Audio Developer's Simple Plug-in API, examples and tools
Name:           ladspa
Version:        1.17
Release:        1%{?dist}

License:        LGPLv2+
URL:            http://www.ladspa.org/
Source0:        http://www.ladspa.org/download/%{name}_sdk_%{version}.tgz

BuildRequires: libsndfile-devel gcc-c++ make

%description
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

%package        devel
Summary:        Linux Audio Developer's Simple Plug-in API
Requires:       %{name} = %{version}-%{release}

%description    devel
ladspa-devel contains the ladspa.h header file.

Definitive technical documentation on LADSPA plug-ins for both the host
and plug-in is contained within copious comments within the ladspa.h
header file.


%prep
%autosetup -p0 -n ladspa_sdk_%{version}


%build
export LADSPA_PATH="%{_libdir}/ladspa"
make -C src CFLAGS="-I. %{optflags} -fPIC -ggdb -DDEFAULT_LADSPA_PATH=%{_libdir}/ladspa" targets


%install
make -C src \
     INSTALL_PLUGINS_DIR=%{buildroot}%{_libdir}/ladspa \
     INSTALL_INCLUDE_DIR=%{buildroot}%{_includedir} \
     INSTALL_BINARY_DIR=%{buildroot}%{_bindir} install
# devel package
mkdir -p %{buildroot}%{_docdir}/%{name}-devel
cp -av doc/* %{buildroot}%{_docdir}/%{name}-devel
ln -sf %{_includedir}/ladspa.h %{buildroot}%{_docdir}/%{name}-devel/ladspa.h.txt


%files
%license doc/COPYING
%dir %{_libdir}/ladspa
%{_bindir}/analyseplugin
%{_bindir}/applyplugin
%{_bindir}/listplugins
%{_libdir}/ladspa/*.so

%files devel
%doc doc/*.html doc/COPYING doc/*.txt
%{_includedir}/ladspa.h


%changelog
* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 1.17-1
- Upgrade to version 1.17

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 cunshunxia <cunshunxia@tencent.com> - 1.13-1
- initial build
